/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteChannelInput } from "../types/DeleteChannelInput";
import { DeleteChannelOutput } from "../types/DeleteChannelOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/DeleteChannelInput";
export * from "../types/DeleteChannelOutput";
export * from "../types/DeleteChannelExceptionsUnion";
export declare class DeleteChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteChannelInput, OutputTypesUnion, DeleteChannelOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteChannelInput, DeleteChannelOutput, _stream.Readable>;
    constructor(input: DeleteChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<DeleteChannelInput, DeleteChannelOutput>;
}
