/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteOriginEndpointInput } from "../types/DeleteOriginEndpointInput";
import { DeleteOriginEndpointOutput } from "../types/DeleteOriginEndpointOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/DeleteOriginEndpointInput";
export * from "../types/DeleteOriginEndpointOutput";
export * from "../types/DeleteOriginEndpointExceptionsUnion";
export declare class DeleteOriginEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteOriginEndpointInput, OutputTypesUnion, DeleteOriginEndpointOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteOriginEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteOriginEndpointInput, DeleteOriginEndpointOutput, _stream.Readable>;
    constructor(input: DeleteOriginEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<DeleteOriginEndpointInput, DeleteOriginEndpointOutput>;
}
