/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RotateIngestEndpointCredentialsInput } from "../types/RotateIngestEndpointCredentialsInput";
import { RotateIngestEndpointCredentialsOutput } from "../types/RotateIngestEndpointCredentialsOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/RotateIngestEndpointCredentialsInput";
export * from "../types/RotateIngestEndpointCredentialsOutput";
export * from "../types/RotateIngestEndpointCredentialsExceptionsUnion";
export declare class RotateIngestEndpointCredentialsCommand implements __aws_sdk_types.Command<InputTypesUnion, RotateIngestEndpointCredentialsInput, OutputTypesUnion, RotateIngestEndpointCredentialsOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: RotateIngestEndpointCredentialsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RotateIngestEndpointCredentialsInput, RotateIngestEndpointCredentialsOutput, _stream.Readable>;
    constructor(input: RotateIngestEndpointCredentialsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<RotateIngestEndpointCredentialsInput, RotateIngestEndpointCredentialsOutput>;
}
