/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateChannelInput } from "../types/UpdateChannelInput";
import { UpdateChannelOutput } from "../types/UpdateChannelOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/UpdateChannelInput";
export * from "../types/UpdateChannelOutput";
export * from "../types/UpdateChannelExceptionsUnion";
export declare class UpdateChannelCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateChannelInput, OutputTypesUnion, UpdateChannelOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: UpdateChannelInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateChannelInput, UpdateChannelOutput, _stream.Readable>;
    constructor(input: UpdateChannelInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<UpdateChannelInput, UpdateChannelOutput>;
}
