"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const TagResourceInput_1 = require("../shapes/TagResourceInput");
const TagResourceOutput_1 = require("../shapes/TagResourceOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.TagResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TagResource",
    http: {
        method: "POST",
        requestUri: "/tags/{resource-arn}"
    },
    input: {
        shape: TagResourceInput_1.TagResourceInput
    },
    output: {
        shape: TagResourceOutput_1.TagResourceOutput
    },
    errors: []
};
//# sourceMappingURL=TagResource.js.map