"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _HlsIngest_1 = require("./_HlsIngest");
const _Tags_1 = require("./_Tags");
exports.DescribeChannelOutput = {
    type: "structure",
    required: [],
    members: {
        Arn: {
            shape: {
                type: "string"
            },
            locationName: "arn"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        HlsIngest: {
            shape: _HlsIngest_1._HlsIngest,
            locationName: "hlsIngest"
        },
        Id: {
            shape: {
                type: "string"
            },
            locationName: "id"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        }
    }
};
//# sourceMappingURL=DescribeChannelOutput.js.map