"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _CmafEncryption_1 = require("./_CmafEncryption");
const ___listOfHlsManifestCreateOrUpdateParameters_1 = require("./___listOfHlsManifestCreateOrUpdateParameters");
const _StreamSelection_1 = require("./_StreamSelection");
exports._CmafPackageCreateOrUpdateParameters = {
    type: "structure",
    required: [],
    members: {
        Encryption: {
            shape: _CmafEncryption_1._CmafEncryption,
            locationName: "encryption"
        },
        HlsManifests: {
            shape: ___listOfHlsManifestCreateOrUpdateParameters_1.___listOfHlsManifestCreateOrUpdateParameters,
            locationName: "hlsManifests"
        },
        SegmentDurationSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "segmentDurationSeconds"
        },
        SegmentPrefix: {
            shape: {
                type: "string"
            },
            locationName: "segmentPrefix"
        },
        StreamSelection: {
            shape: _StreamSelection_1._StreamSelection,
            locationName: "streamSelection"
        }
    }
};
//# sourceMappingURL=_CmafPackageCreateOrUpdateParameters.js.map