"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _SpekeKeyProvider_1 = require("./_SpekeKeyProvider");
exports._HlsEncryption = {
    type: "structure",
    required: ["SpekeKeyProvider"],
    members: {
        ConstantInitializationVector: {
            shape: {
                type: "string"
            },
            locationName: "constantInitializationVector"
        },
        EncryptionMethod: {
            shape: {
                type: "string"
            },
            locationName: "encryptionMethod"
        },
        KeyRotationIntervalSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "keyRotationIntervalSeconds"
        },
        RepeatExtXKey: {
            shape: {
                type: "boolean"
            },
            locationName: "repeatExtXKey"
        },
        SpekeKeyProvider: {
            shape: _SpekeKeyProvider_1._SpekeKeyProvider,
            locationName: "spekeKeyProvider"
        }
    }
};
//# sourceMappingURL=_HlsEncryption.js.map