"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AdTriggers_1 = require("./_AdTriggers");
exports._HlsManifestCreateOrUpdateParameters = {
    type: "structure",
    required: ["Id"],
    members: {
        AdMarkers: {
            shape: {
                type: "string"
            },
            locationName: "adMarkers"
        },
        AdTriggers: {
            shape: _AdTriggers_1._AdTriggers,
            locationName: "adTriggers"
        },
        AdsOnDeliveryRestrictions: {
            shape: {
                type: "string"
            },
            locationName: "adsOnDeliveryRestrictions"
        },
        Id: {
            shape: {
                type: "string"
            },
            locationName: "id"
        },
        IncludeIframeOnlyStream: {
            shape: {
                type: "boolean"
            },
            locationName: "includeIframeOnlyStream"
        },
        ManifestName: {
            shape: {
                type: "string"
            },
            locationName: "manifestName"
        },
        PlaylistType: {
            shape: {
                type: "string"
            },
            locationName: "playlistType"
        },
        PlaylistWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "playlistWindowSeconds"
        },
        ProgramDateTimeIntervalSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "programDateTimeIntervalSeconds"
        }
    }
};
//# sourceMappingURL=_HlsManifestCreateOrUpdateParameters.js.map