"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _AdTriggers_1 = require("./_AdTriggers");
const _HlsEncryption_1 = require("./_HlsEncryption");
const _StreamSelection_1 = require("./_StreamSelection");
exports._HlsPackage = {
    type: "structure",
    required: [],
    members: {
        AdMarkers: {
            shape: {
                type: "string"
            },
            locationName: "adMarkers"
        },
        AdTriggers: {
            shape: _AdTriggers_1._AdTriggers,
            locationName: "adTriggers"
        },
        AdsOnDeliveryRestrictions: {
            shape: {
                type: "string"
            },
            locationName: "adsOnDeliveryRestrictions"
        },
        Encryption: {
            shape: _HlsEncryption_1._HlsEncryption,
            locationName: "encryption"
        },
        IncludeIframeOnlyStream: {
            shape: {
                type: "boolean"
            },
            locationName: "includeIframeOnlyStream"
        },
        PlaylistType: {
            shape: {
                type: "string"
            },
            locationName: "playlistType"
        },
        PlaylistWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "playlistWindowSeconds"
        },
        ProgramDateTimeIntervalSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "programDateTimeIntervalSeconds"
        },
        SegmentDurationSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "segmentDurationSeconds"
        },
        StreamSelection: {
            shape: _StreamSelection_1._StreamSelection,
            locationName: "streamSelection"
        },
        UseAudioRenditionGroup: {
            shape: {
                type: "boolean"
            },
            locationName: "useAudioRenditionGroup"
        }
    }
};
//# sourceMappingURL=_HlsPackage.js.map