/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateOriginEndpointInput } from "../types/CreateOriginEndpointInput";
import { CreateOriginEndpointOutput } from "../types/CreateOriginEndpointOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/CreateOriginEndpointInput";
export * from "../types/CreateOriginEndpointOutput";
export * from "../types/CreateOriginEndpointExceptionsUnion";
export declare class CreateOriginEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateOriginEndpointInput, OutputTypesUnion, CreateOriginEndpointOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: CreateOriginEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateOriginEndpointInput, CreateOriginEndpointOutput, _stream.Readable>;
    constructor(input: CreateOriginEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<CreateOriginEndpointInput, CreateOriginEndpointOutput>;
}
