/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOriginEndpointInput } from "../types/DescribeOriginEndpointInput";
import { DescribeOriginEndpointOutput } from "../types/DescribeOriginEndpointOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/DescribeOriginEndpointInput";
export * from "../types/DescribeOriginEndpointOutput";
export * from "../types/DescribeOriginEndpointExceptionsUnion";
export declare class DescribeOriginEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOriginEndpointInput, OutputTypesUnion, DescribeOriginEndpointOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeOriginEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOriginEndpointInput, DescribeOriginEndpointOutput, _stream.Readable>;
    constructor(input: DescribeOriginEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<DescribeOriginEndpointInput, DescribeOriginEndpointOutput>;
}
