/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListChannelsInput } from "../types/ListChannelsInput";
import { ListChannelsOutput } from "../types/ListChannelsOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/ListChannelsInput";
export * from "../types/ListChannelsOutput";
export * from "../types/ListChannelsExceptionsUnion";
export declare class ListChannelsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListChannelsInput, OutputTypesUnion, ListChannelsOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: ListChannelsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListChannelsInput, ListChannelsOutput, _stream.Readable>;
    constructor(input: ListChannelsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<ListChannelsInput, ListChannelsOutput>;
}
