/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ListOriginEndpointsInput } from "../types/ListOriginEndpointsInput";
import { ListOriginEndpointsOutput } from "../types/ListOriginEndpointsOutput";
import { MediaPackageResolvedConfiguration } from "../MediaPackageConfiguration";
export * from "../types/ListOriginEndpointsInput";
export * from "../types/ListOriginEndpointsOutput";
export * from "../types/ListOriginEndpointsExceptionsUnion";
export declare class ListOriginEndpointsCommand implements __aws_sdk_types.Command<InputTypesUnion, ListOriginEndpointsInput, OutputTypesUnion, ListOriginEndpointsOutput, MediaPackageResolvedConfiguration, _stream.Readable> {
    readonly input: ListOriginEndpointsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ListOriginEndpointsInput, ListOriginEndpointsOutput, _stream.Readable>;
    constructor(input: ListOriginEndpointsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: MediaPackageResolvedConfiguration): __aws_sdk_types.Handler<ListOriginEndpointsInput, ListOriginEndpointsOutput>;
}
