"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _CmafPackageCreateOrUpdateParameters_1 = require("./_CmafPackageCreateOrUpdateParameters");
const _DashPackage_1 = require("./_DashPackage");
const _HlsPackage_1 = require("./_HlsPackage");
const _MssPackage_1 = require("./_MssPackage");
const _Tags_1 = require("./_Tags");
const ___listOf__string_1 = require("./___listOf__string");
exports.CreateOriginEndpointInput = {
    type: "structure",
    required: ["ChannelId", "Id"],
    members: {
        ChannelId: {
            shape: {
                type: "string"
            },
            locationName: "channelId"
        },
        CmafPackage: {
            shape: _CmafPackageCreateOrUpdateParameters_1._CmafPackageCreateOrUpdateParameters,
            locationName: "cmafPackage"
        },
        DashPackage: {
            shape: _DashPackage_1._DashPackage,
            locationName: "dashPackage"
        },
        Description: {
            shape: {
                type: "string"
            },
            locationName: "description"
        },
        HlsPackage: {
            shape: _HlsPackage_1._HlsPackage,
            locationName: "hlsPackage"
        },
        Id: {
            shape: {
                type: "string"
            },
            locationName: "id"
        },
        ManifestName: {
            shape: {
                type: "string"
            },
            locationName: "manifestName"
        },
        MssPackage: {
            shape: _MssPackage_1._MssPackage,
            locationName: "mssPackage"
        },
        StartoverWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "startoverWindowSeconds"
        },
        Tags: {
            shape: _Tags_1._Tags,
            locationName: "tags"
        },
        TimeDelaySeconds: {
            shape: {
                type: "integer"
            },
            locationName: "timeDelaySeconds"
        },
        Whitelist: {
            shape: ___listOf__string_1.___listOf__string,
            locationName: "whitelist"
        }
    }
};
//# sourceMappingURL=CreateOriginEndpointInput.js.map