"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _MssEncryption_1 = require("./_MssEncryption");
const _StreamSelection_1 = require("./_StreamSelection");
exports._MssPackage = {
    type: "structure",
    required: [],
    members: {
        Encryption: {
            shape: _MssEncryption_1._MssEncryption,
            locationName: "encryption"
        },
        ManifestWindowSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "manifestWindowSeconds"
        },
        SegmentDurationSeconds: {
            shape: {
                type: "integer"
            },
            locationName: "segmentDurationSeconds"
        },
        StreamSelection: {
            shape: _StreamSelection_1._StreamSelection,
            locationName: "streamSelection"
        }
    }
};
//# sourceMappingURL=_MssPackage.js.map