import { _SpekeKeyProvider, _UnmarshalledSpekeKeyProvider } from "./_SpekeKeyProvider";
/**
 * A Microsoft Smooth Streaming (MSS) encryption configuration.
 */
export interface _MssEncryption {
    /**
     * A configuration for accessing an external Secure Packager and Encoder Key Exchange (SPEKE) service that will provide encryption keys.
     */
    SpekeKeyProvider: _SpekeKeyProvider;
}
export interface _UnmarshalledMssEncryption extends _MssEncryption {
    /**
     * A configuration for accessing an external Secure Packager and Encoder Key Exchange (SPEKE) service that will provide encryption keys.
     */
    SpekeKeyProvider: _UnmarshalledSpekeKeyProvider;
}
